=== modified file 'bzrlib/tests/interrepository_implementations/__init__.py'
--- bzrlib/tests/interrepository_implementations/__init__.py	2007-11-29 22:27:29 +0000
+++ bzrlib/tests/interrepository_implementations/__init__.py	2008-03-24 15:44:44 +0000
@@ -63,7 +63,10 @@
         """
         result = []
         for interrepo_class, repository_format, repository_format_to in formats:
-            scenario = (interrepo_class.__name__,
+            id = '%s,%s,%s' % (interrepo_class.__name__,
+                                repository_format.__class__.__name__,
+                                repository_format_to.__class__.__name__)
+            scenario = (id,
                 {"transport_server":self._transport_server,
                  "transport_readonly_server":self._transport_readonly_server,
                  "repository_format":repository_format,

=== modified file 'bzrlib/tests/test_selftest.py'
--- bzrlib/tests/test_selftest.py	2008-01-29 08:21:19 +0000
+++ bzrlib/tests/test_selftest.py	2008-03-24 15:44:44 +0000
@@ -376,13 +376,13 @@
         formats = [(str, "C1", "C2"), (int, "D1", "D2")]
         adapter = InterRepositoryTestProviderAdapter(server1, server2, formats)
         self.assertEqual([
-            ('str',
+            ('str,str,str',
              {'interrepo_class': str,
               'repository_format': 'C1',
               'repository_format_to': 'C2',
               'transport_readonly_server': 'b',
               'transport_server': 'a'}),
-            ('int',
+            ('int,str,str',
              {'interrepo_class': int,
               'repository_format': 'D1',
               'repository_format_to': 'D2',

